org.apache.ignite.compute

## Interface ComputeJobMasterLeaveAware

All Known Implementing Classes:
  GridClosureProcessor.C1MLA, GridClosureProcessor.C2MLA, GridClosureProcessor.C4MLA

    public interface ComputeJobMasterLeaveAware

Annotation for handling master node leave during job execution.

If `ComputeJob` concrete class implements this interface then in case when master node leaves topology during job execution the callback method `onMasterNodeLeft(ComputeTaskSession)` will be executed.

Implementing this interface gives you ability to preserve job execution result or its intermediate state which could be reused later. E.g. you can save job execution result to the database or as a checkpoint and reuse it when failed task is being executed again thus avoiding job execution from scratch.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onMasterNodeLeft(ComputeTaskSession ses)` A method which is executed in case master node has left topology during job execution.

### Method Detail

#### onMasterNodeLeft

    void onMasterNodeLeft(ComputeTaskSession ses)
                   throws IgniteException

A method which is executed in case master node has left topology during job execution.

Parameters:
  `ses` - Task session, can be used for checkpoint saving.
Throws:
  `IgniteException` - In case of any exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022